Package org.eclipse.microprofile.metrics.tck.tags

## Class TagsTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.tags.TagsTest

    public class TagsTest
    extends Object

### Constructor Summary

Constructors
`TagsTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `counterTagsTest()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `histogramTagsTest()`
`void` `illegalMpAppTag()`
`void` `illegalMpScopeTag()`
`void` `lastTagValueTest()`
`void` `nonMatchingTagTest()`
`void` `nonMatchingTagTest2()`
`void` `nonMatchingTagTest3()`
`void` `simpleTagTest()`
`void` `timerTagsTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TagsTest

    public TagsTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### simpleTagTest

    @InSequence(1)
    public void simpleTagTest()

#### lastTagValueTest

    @InSequence(2)
    public void lastTagValueTest()

#### counterTagsTest

    @InSequence(3)
    public void counterTagsTest()

#### timerTagsTest

    @InSequence(4)
    public void timerTagsTest()

#### histogramTagsTest

    @InSequence(5)
    public void histogramTagsTest()

#### nonMatchingTagTest

    @InSequence(6)
    public void nonMatchingTagTest()

#### nonMatchingTagTest2

    @InSequence(7)
    public void nonMatchingTagTest2()

#### nonMatchingTagTest3

    @InSequence(8)
    public void nonMatchingTagTest3()

#### illegalMpScopeTag

    @InSequence(9)
    public void illegalMpScopeTag()

#### illegalMpAppTag

    @InSequence(10)
    public void illegalMpAppTag()